#ifndef ZCALLS_H
#define ZCALLS_H

typedef void (*handlerfunc) (ZNotice_t *notice, gtkzephyr_userstruct *user);

void gtkzephyr_connect();
void gtkzephyr_disconnect();
gint gtkzephyr_checknewnotices(gpointer a);
void gtkzephyr_flush_loc(GtkWidget *widget);
void gtkzephyr_hide(GtkWidget *widget);
void gtkzephyr_unhide(GtkWidget *widget);
void gtkzephyr_update_userlist(GList *userlist);
void gtkzephyr_send_text(gtkzephyr_userstruct *user, GtkEditable *editable, handlerfunc handle_function);
void gtkzephyr_handle_unknown_notice(ZNotice_t *notice);
gchar *gtkzephyr_get_signature(gchar *message);
gchar *gtkzephyr_get_body(gchar *message, gint mlength);
void gtkzephyr_sub_login_class(gtkzephyr_userstruct *user);
gchar *gtkzephyr_get_userid();

#endif
